Package com.google.android.exoplayer2.metadata.id3

## Class CommentFrame

- java.lang.Object
- - com.google.android.exoplayer2.metadata.id3.Id3Frame
  - - com.google.android.exoplayer2.metadata.id3.CommentFrame

- All Implemented Interfaces:
    `Parcelable`, `Metadata.Entry`

      public final class CommentFrame
      extends Id3Frame

  Comment ID3 frame.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Parcelable.Creator<CommentFrame>` | `CREATOR` |
    `String` | `description` |
    `static String` | `ID` |
    `String` | `language` |
    `String` | `text` |

    - ### Fields inherited from class com.google.android.exoplayer2.metadata.id3.Id3Frame

      `id`

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommentFrame​(String language, String description, String text)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |
    `String` | `toString()` |
    `void` | `writeToParcel​(Parcel dest, int flags)` |

    - ### Methods inherited from class com.google.android.exoplayer2.metadata.id3.Id3Frame

      `describeContents`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.metadata.Metadata.Entry

      `getWrappedMetadataBytes, getWrappedMetadataFormat, populateMediaMetadata`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### language

          public final String language

    - #### description

          public final String description

    - #### text

          public final String text

    - #### CREATOR

          public static final Parcelable.Creator<CommentFrame> CREATOR

  - ### Constructor Detail

    - #### CommentFrame

          public CommentFrame​(String language,
                              String description,
                              String text)

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Id3Frame`

    - #### writeToParcel

          public void writeToParcel​(Parcel dest,
                                    int flags)